//服务端地址
export const server = "http://localhost:8080"
//接口地址前缀
export const prefix = {
    user: "/api/user",
    activity: "/api/activity",
    image: "/image/"
}
//管理后台地址
export const backEnd="http://localhost:3000"
//接口地址
export const Api = {
    account: {
        //注册
        register: prefix.user + "/register",
        //登录
        login: prefix.user + "/login",
        //查找用户
        find: prefix.user + "/find",
        //更新
        update: prefix.user + "/update",
        //更新密码
        updatePwd: prefix.user + "/updatePwd",
        //查看留言
        leaveWord: prefix.user + "/find/leaveWord",
        //发送好友邀请
        friend: prefix.user + "/friend",
        //拒绝好友邀请
        refuse: prefix.user + "/refuse",
        //同意好友邀请
        agree: prefix.user + "/agree",
        //我的好友
        myFriend: prefix.user + "/friend/list",
        //刷新聊天室状态
        refreshChat: prefix.user + "/chat/status",
        //查找用户
        findUser: prefix.user + "/find/name",
        //查找本人信息
        findOwn: prefix.user + "/find/own"
    },
    main: {
        activity: {
            //发布求助信息
            help: prefix.activity + "/sendHelp",
            //查找活动列表
            find: prefix.activity + "/find",
            //报名活动
            apply: prefix.activity + "/apply",
            //求助信息统计
            seekHelp: prefix.activity + "/seekHelp",
            //求助信息志愿者
            seekHelpUser: prefix.activity + "/seekHelpUser",
            //帮助信息
            myHelp: prefix.activity + "/help",
            //活动评价
            score: prefix.activity + '/score'
        }
    }
}
