import React from "react";
import {Tooltip} from "@material-ui/core";
import {CloseDialogProps} from "../entity";

/**
 * 关闭弹窗
 */
export class CloseDialog extends React.Component<CloseDialogProps, {undefined?:undefined}>{


    render() {
        return (
            <div className="d-flex justify-content-between p-3" >
                <span className="invisible"/>
                <Tooltip title="按下光标拖放弹窗到其他位置" placement="left">
                    <h3  id={this.props.titleId} style={{cursor:"move"}}>{this.props.menuName}</h3>
                </Tooltip>
                <Tooltip title="关闭弹窗" placement="left">
                    <img src="close.svg" alt="关闭弹窗" className="closeIcon40" onClick={()=>this.props.onClose()}/>
                </Tooltip>
            </div>
        )
    }
}
